[Contents] [Prev] [Next] [Index] [Report an Error]

# Remote Neighbors

You can create OSPF remote neighbors to enable the router to establish neighbor adjacencies through unidirectional interfaces, such as MPLS tunnels, rather than the standard practice of using the same interface for receipt and transmission of OSPF packets. The remote neighbor can be more than one hop away through intermediate routers that are not running OSPF. OSPF uses the interface associated with the best route to reach the remote neighbor. A best route to the neighbor must exist in the IP routing table.

You must explicitly configure a remote neighbor on an OSPF router. You must specify the remote neighbor with which the router forms an adjacency and the source IP address the router uses for OSPF packets destined to its peer remote neighbor.

To form an adjacency with its remote neighbor, all OSPF packets are sent to the remote neighbor as unicast packets with the destination IP address equal to the source IP address of the remote neighbor. Use the update-source loopback command to assign the source IP address to a remote neighbor.

The connection between two remote neighbors is treated as an unnumbered point-to-point link that resides in the same area as that to which the pair of remote neighbors belongs.

The rules of OSPF adjacency must be followed for remote neighbors to form an adjacency with each other; for example, the neighbors must be in the same OSPF area and have the same hello interval and dead interval, and so on.

After you have used the remote-neighbor command to specify the remote neighbors and the update-source loopback to assign the source IP address, you must set a TTL value with the ttl command, because a remote neighbor can be more than one hop away. Configuration of all other remote-neighbor attributes is optional.

authentication-key

- Use to enable simple password authentication and assign a password for communication with OSPF remote neighbors.
- Example
  `
  host1(config-router-rn)#authentication-key 0 br549hee
  `
- Use the no version to delete the password.
- See authentication-key

authentication message-digest

- Use to specify that MD5 authentication is to be used on the OSPF remote neighbor interface.
- Example
  `
  host1(config-router-rn)#authentication message-digest
  `
- There is no no version.
- See authentication message-digest

authentication-none

- Use to specify that no authentication is to be used on the OSPF remote neighbor interface.
- Example
  `
  host1(config-router-rn)#authentication-none
  `
- There is no no version.
- See authentication-none

cost

- Use to specify a cost metric for the OSPF remote-neighbor interface; the metric is used in the calculation of the SPF routing table.
- The default value is 10 if there is no route to the remote neighbor; otherwise, the default is calculated based on the bandwidth of the physical interface used to reach the remote neighbor and the OSPF autocost reference bandwidth.
- Example
  `
  host1(config-router-rn)#cost 235
  `
- Use the no version to restore the default value.
- See cost

dead-interval

- Use to set the time period, in seconds, that the OSPF router waits without receiving hello packets from a remote neighbor before declaring the neighbor to be down.
- Example
  `
  host1(config-router-rn)#dead-interval 180
  `
- Use the no version to restore the default value, 40 seconds.
- See dead-interval

hello-interval

- Use to set the time interval between hello packets that the router sends on the OSPF remote-neighbor interface.
- Specify a value in the range 1–65535 seconds; the default value is 40 seconds.
- Example
  `
  host1(config-router-rn)#hello-interval 15
  `
- Use the no version to restore the default value, 40 seconds.
- See hello-interval

message-digest-key md5

- Use to enable MD5 authentication for the OSPF remote-neighbor interface and configure the MD5 key.
- If you delete all MD5 keys, MD5 authentication is still enabled; you must either configure an MD5 key or disable MD5 authentication with the authentication-none command.
- Example
  `
  host1(config-router-rn)#message-digest-key 42 md5 0 sal29ute
  `
- Use the no version to delete the MD5 key.
- See message-digest-key md5

remote-neighbor

- Use to configure an OSPF remote neighbor.
- Use the update-source command to configure source IP address for packets sent to the remote neighbor. We recommend that you do not leave the update source unconfigured for a remote neighbor.
- Example
  `
  host1(config-router)#remote-neighbor 10.25.100.14 area 35672
  `
- Use the no version to remove the remote neighbor and any attributes configured for the remote neighbor.
- See remote-neighbor

retransmit-interval

- Use to set the time between LSA retransmissions for the OSPF remote-neighbor interface when an acknowledgment for the LSA is not received.
- Specify a value in the range 1–3600 seconds; the default value is 5 seconds.
- Example
  `
  host1(config-router-rn)#retransmit-interval 10
  `
- Use the no version to restore the default value, 5 seconds.
- See retransmit-interval

transmit-delay

- Use to set the estimated time it takes to transmit a link-state update packet on the OSPF remote-neighbor interface.
- Specify a value in the range 0–3600 seconds; the default value is 1 second.
- Example
  `
  host1(config-router-rn)#transmit-delay 3
  `
- Use the no version to restore the default value, 1 second.
- See transmit-delay

ttl

- Use to configure a hop count by setting the value of the time-to-live field used by packets sent to an OSPF remote neighbor.
- Specify a value in the range 1–255 seconds; the default value is 1 second.
- Example
  `
  host1(config-router-rn)#ttl 35
  `
- Use the no version to restore the default value, 1 second.
- See ttl

update-source

- Use to specify the loopback interface whose local IP address is used as the source address for the OSPF connection to a remote neighbor.
- We recommend that you do not leave the update source unconfigured for a remote neighbor.
- Example
  `
  host1(config-router-rn)#update-source loopback 1
  `
- Use the no version to delete the source address from the connection to the remote neighbor.
- See update-source

## Remote Neighbors and Sham Links

You can configure OSPF remote neighbors to act as sham links for BGP/MPLS VPNs. See JUNOSe BGP and MPLS Configuration Guide, for more information.

[Contents] [Prev] [Next] [Index] [Report an Error]